#ifndef ZXMAIN_H
#define ZXMAIN_H

#include <QMainWindow>
#include <QDebug>

#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QJsonDocument>
#include <QJsonObject>

namespace Ui {
class zxMain;
}

class zxMain : public QMainWindow
{
    Q_OBJECT

public:
    explicit zxMain(QWidget *parent = 0);    
    ~zxMain();

    void show_info();

private:
    Ui::zxMain *ui;
    QNetworkAccessManager *m_manager;
    QNetworkAccessManager *m_fileDownloader;
    QJsonObject m_jsonData;
    QByteArray *m_file;

    //QNetworkReply *m_reply;

    void send_request();
    void send_request(QUrl url);
private slots:
    void btn_show();
    void network_reply(QNetworkReply* reply);
    void downloaded(QNetworkReply* reply);
};

#endif // ZXMAIN_H
